/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VDmStudy;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VDmStudyRecord extends TableRecordImpl<VDmStudyRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_dm_study.study_id</code>.
     */
    public void setStudyId(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_study.study_id</code>.
     */
    public Integer getStudyId() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_dm_study.study_name</code>.
     */
    public void setStudyName(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_study.study_name</code>.
     */
    public String getStudyName() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_dm_study.study_element</code>.
     */
    public void setStudyElement(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_study.study_element</code>.
     */
    public Integer getStudyElement() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.v_dm_study.token_data</code>.
     */
    public void setTokenData(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_study.token_data</code>.
     */
    public String getTokenData() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.v_dm_study.token_config</code>.
     */
    public void setTokenConfig(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_study.token_config</code>.
     */
    public String getTokenConfig() {
        return (String) get(4);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VDmStudyRecord
     */
    public VDmStudyRecord() {
        super(VDmStudy.V_DM_STUDY);
    }

    /**
     * Create a detached, initialised VDmStudyRecord
     */
    public VDmStudyRecord(Integer studyId, String studyName, Integer studyElement, String tokenData, String tokenConfig) {
        super(VDmStudy.V_DM_STUDY);

        setStudyId(studyId);
        setStudyName(studyName);
        setStudyElement(studyElement);
        setTokenData(tokenData);
        setTokenConfig(tokenConfig);
        resetChangedOnNotNull();
    }
}
